// Progress.h: interface for the Progress class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PROGRESS_H__31D2BFA9_D94A_423C_BDC6_CE1A41651CA3__INCLUDED_)
#define AFX_PROGRESS_H__31D2BFA9_D94A_423C_BDC6_CE1A41651CA3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <time.h>

class Progress  
{
public:
	static void activate(long numSteps);
	static void step(long steps = 1);
	static void setStep(long steps);
	static void cleanup();
	static void report();

private:

	Progress();
	virtual ~Progress();

	static long s_numSteps;
	static long s_step;
	static time_t s_lastTime;
	static char s_buffer[80];
};

#endif // !defined(AFX_PROGRESS_H__31D2BFA9_D94A_423C_BDC6_CE1A41651CA3__INCLUDED_)
